> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v2/how-to-guides.md).

# How-to Guides

- [Get Started with our how-to guides](https://docs.sportmonks.com/v2/how-to-guides/get-started.md): Here we explain how to request data, in order to create popular sports applications, such as livescore pages, odds match pages, etc, but also how to use the more advanced endpoints e.g. prediction api
- [How-to build your API requests](https://docs.sportmonks.com/v2/how-to-guides/get-started/how-to-build-your-api-requests.md): We'll cover how to build correct API requests with our Football API 2.0
- [Livescores & fixtures](https://docs.sportmonks.com/v2/how-to-guides/livescores-and-fixtures.md)
- [How-to build a livescore website](https://docs.sportmonks.com/v2/how-to-guides/livescores-and-fixtures/how-to-build-a-livescore-website.md)
- [How-to build a schedule page](https://docs.sportmonks.com/v2/how-to-guides/livescores-and-fixtures/how-to-build-a-schedule-page.md)
- [Match & team pages](https://docs.sportmonks.com/v2/how-to-guides/match-and-team-pages.md)
- [How-to build a match page with events and statistics](https://docs.sportmonks.com/v2/how-to-guides/match-and-team-pages/how-to-build-a-match-page-with-events-and-statistics.md)
- [How-to build a match page with line-ups/formations](https://docs.sportmonks.com/v2/how-to-guides/match-and-team-pages/how-to-build-a-match-page-with-line-ups-formations.md)
- [How-to build a team page with season stats and squads](https://docs.sportmonks.com/v2/how-to-guides/match-and-team-pages/how-to-build-a-team-page-with-season-stats-and-squads.md)
- [How-to build standings and topscorer standings](https://docs.sportmonks.com/v2/how-to-guides/how-to-build-standings-and-topscorer-standings.md)
- [League standings](https://docs.sportmonks.com/v2/how-to-guides/how-to-build-standings-and-topscorer-standings/season-standings.md)
- [Topscorer standings](https://docs.sportmonks.com/v2/how-to-guides/how-to-build-standings-and-topscorer-standings/topscorer-standings.md)
- [Odds & predictions](https://docs.sportmonks.com/v2/how-to-guides/odds-and-predictions.md)
- [How-to build a match page with odds](https://docs.sportmonks.com/v2/how-to-guides/odds-and-predictions/how-to-build-a-match-page-with-odds.md)
- [How-to build a betting odds portal](https://docs.sportmonks.com/v2/how-to-guides/odds-and-predictions/how-to-build-a-betting-odds-portal.md)
- [How-to use the predictions API](https://docs.sportmonks.com/v2/how-to-guides/odds-and-predictions/how-to-use-the-predictions-api.md)
- [How-to build a fantasy game](https://docs.sportmonks.com/v2/how-to-guides/how-to-build-a-fantasy-game.md)
- [Developer tools](https://docs.sportmonks.com/v2/how-to-guides/developer-tools.md)
- [How-to use Sportmonks' APIs in Postman](https://docs.sportmonks.com/v2/how-to-guides/developer-tools/how-to-use-postman-and-sportmonks.md)
- [How-to keep your database in sync](https://docs.sportmonks.com/v2/how-to-guides/how-to-keep-your-database-in-sync-deleted-1.md)
- [World Cup 2022](https://docs.sportmonks.com/v2/how-to-guides/world-cup-2022.md): Good to have you here. The World Cup is the biggest sports events around the globe, so let's not waste a second and start building your dream application.
- [EURO 2024](https://docs.sportmonks.com/v2/how-to-guides/euro-2024.md)
- [Football widgets](https://docs.sportmonks.com/v2/how-to-guides/sportmonks-widgets.md)
- [How-to set up football widgets in your web application](https://docs.sportmonks.com/v2/how-to-guides/sportmonks-widgets/how-to-use-sportmonks-widgets-in-your-web-application.md)
- [Configurations](https://docs.sportmonks.com/v2/how-to-guides/sportmonks-widgets/widget-configurator-page.md)
- [Widgets overview](https://docs.sportmonks.com/v2/how-to-guides/sportmonks-widgets/widgets.md)
- [Livescore widget](https://docs.sportmonks.com/v2/how-to-guides/sportmonks-widgets/widgets/livescore.md)
- [International Cup widgets](https://docs.sportmonks.com/v2/how-to-guides/sportmonks-widgets/widgets/livescore-1.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportmonks.com/v2/how-to-guides.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
